<div id="ld" style="position:fixed; top:50%; left:50%"><img src="img/ld.gif"></div>			

<?php
	include "php_class/class_mysql.php";
	include "php_class/class_mahasiswa.php";
	include "php_class/class_transaksi.php";	
	include "php_class/class_grup.php";
	include "php_class/class_template.php";
	include "php_class/class_setting_laporan.php";
	include "php_class/class_dosen.php";
	include "terbilang.php";
	$DataDosen = new dataDosen;
	$DataSetLaporan = new DataSetLaporan;
	$dataTemplate = new DataTemplate;
	$datagrup = new DataGrup;
	$DataMahasiswa = new DataMahasiswa;     
	$DataTransaksi = new DataTransaksi;
	$NPM = $_POST['NPM'];
	$nama = $_POST['Nama'];
	$Jurusan = $_POST['Jurusan1'];
	$tempatLahir = $_POST['tempatLahir'];
	$tgl = $_POST['tgl'];
	$jenisKelamin = $_POST['jenisKelamin'];
	$agama = $_POST['agama'];
	$alamat = $_POST['alamat'];
	$notelp = $_POST['notelp'];
	$email = $_POST['email'];
	$asalSekolah = $_POST['asalSekolah'];
	$statusPerkawinan = $_POST['statusPerkawinan'];
	$statusPekerjaan = $_POST['statusPekerjaan'];
	$perusahaan = $_POST['perusahaan'];
	$jabatan = $_POST['jabatan'];
	$alamatPerusahaan = $_POST['alamatPerusahaan'];
	$statusMahasiswa = $_POST['statusMahasiswa'];
	$perguruanTinggiAsal = $_POST['perguruanTinggiAsal'];
	$programStudi = $_POST['programStudi'];
	$jenjang = $_POST['jenjang'];
	$sks = $_POST['sks'];
	$NoPendaftaran = $_POST['NoPendaftaran'];
	
		$DataMahasiswa->add_mahasiswa($NPM, $nama, $Jurusan, $tempatLahir, $tgl, $jenisKelamin, $agama, $alamat, $notelp, $email, $asalSekolah, $statusPerkawinan, $statusPekerjaan, $perusahaan, $jabatan, $alamatPerusahaan, $statusMahasiswa, $perguruanTinggiAsal, $programStudi, $jenjang, $sks, $NoPendaftaran);
	
	
	
	$idGrup = 'G0022';
	$tahun = date('y'); 
	$bulan = date('m'); 
	
	$jumlah = $DataTransaksi->get_last_trans_pendaftaran('', $a, 'jumlah');
	if ($jumlah==0){
	$kodeMaster1 = $tahun.$bulan."0001";	
	}else{
		$terakhir = $jumlah + 1;
		$panjangkarakter = strlen($terakhir);
		for ($i = 1; $i <= 4- $panjangkarakter; $i++){
			$nol = $nol."0";
		}
		$kodeMaster1 = $tahun.$bulan.$nol.$terakhir;
	}
	$total = 0;
	$JumlahData = $datagrup->get_detil('',$a,'jumlah', $idGrup);
	for ($a=1;$a<=$JumlahData;$a++){
		$no = $datagrup->get_detil('id', $a, '', $idGrup);
		$id = $datagrup->get_detil('idTemplate',$a,'', $idGrup);
		$namaTrx = $datagrup->get_detil('NamaTRX',$a,'', $idGrup);
		$Biaya = $datagrup->get_detil('Biaya',$a,'', $idGrup);
		$idBendahara = $datagrup->get_detil('idBendahara', $a, '', $idGrup);
		$NamaBendahara = $datagrup->get_detil('NamaBendahara', $a, '', $idGrup);
		$BiayaTrx = $datagrup->get_detil('BiayaNonReguler', $a, '', $idGrup);
			
		$total = $total + $BiayaTrx;
				
		
		$DataTransaksi->add_detil_transaksi_pendaftaran($kodeMaster1, $id,$BiayaTrx); 
	}
	
	$DataTransaksi->add_master_transaksi_pendaftaran($kodeMaster1, $NoPendaftaran, $total, $idGrup, $_SESSION['idOperator']);

	include "php_class/class_log_sistem.php";
	$DataLogSistem = new DataLogSistem;
	$idOperator = $_SESSION['idOperator'];
	$namaOp = $_SESSION["NamaOperator"];
	$keterangan = "Daftar Ulang Mahasiswa dg NPM: ".$NPM." oleh ".$namaOp."";
	$DataLogSistem->add_data_log_sistem($keterangan,$idOperator);

?>



<script>window.location='cetak-daftar-ulang/<?php echo $NPM?>/<?php echo $kodeMaster1?>'</script>
